﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WpfApplication2
{
    //1
    class Meeting
    {
        DateTime when;
        TimeSpan duration;
        string title;
        //5
        //DateTime when = DateTime.Now;
        //TimeSpan duration = TimeSpan.FromHours(2.0);
        //string title = "Unbenannt";

        //6
        public Meeting() // Standardkonstruktor, default constructor
        {
            when = DateTime.Now;
            duration = TimeSpan.FromHours(2.0);
            title = "Unbenannt";
        }

        //7
        public Meeting(double hours)
        {
            when = DateTime.Now;
            duration = TimeSpan.FromHours(hours);
            title = "Unbenannt";
        }

        //9
        //public Meeting(DateTime a, TimeSpan b, string c)
        //{
        //    when = a;
        //    duration = b;
        //    title = c;
        //}

        //10
        public Meeting(DateTime when, TimeSpan duration, string title)
        {
            this.when = when;
            this.duration = duration;
            this.title = title;
        }

        //2
        public bool IsNow()
        {
            DateTime now = DateTime.Now;
            //3
            return when <= now && now <= when + duration;
        }
        //4 Überladen, Overloading
        public void Postpone(double hours)
        {
            when += TimeSpan.FromHours(hours);
        }
        public void Postpone(TimeSpan ts)
        {
            when += ts;
        }

        //11
        //public TimeSpan get_Duration()
        //{
        //    return duration;
        //}
        //public void set_Duration(TimeSpan duration)
        //{
        //    this.duration = duration;
        //}

        //13
        public TimeSpan Duration
        {
            get
            {
                return duration;
            }
            set
            {
                duration = value;
            }
        }
    }
}
